Sign in
POST

/v1/backtest

v1

Replay events with embedding filters


Same as `GET /v1/backtest` but accepts a JSON body for advanced filters including embedding vector similarity search. Use `embedding_filters` to find events about articles semantically similar to a reference embedding. Max 1 embedding filter per request. Requires **Pro tier or higher**.


Request Examples

bash
curl "https://api.newsrank.ai/v1/backtest" \
  -H "Authorization: Bearer nrf_your_api_key"

Response

json
{
  "ok": true,
  "events": [
    {
      "id": 12345,
      "ts": 1740000000000,
      "event_type": "item.new",
      "cluster_id": 1523,
      "payload": null,
      "similarity": 0.82,
      "embedding": []
    }
  ],
  "next_cursor": 12399,
  "has_more": true,
  "meta": {
    "from": 0,
    "to": 0,
    "topics": [
      "string"
    ],
    "filters_applied": null,
    "event_count": 0
  }
}

Try it

Server

Using sandbox demo key (5 req/min) — no signup required

Authentication
Demo key (sandbox)
Endpoint
POST /v1/backtest